/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.io.Serializable;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * iモード端末のデコメール情報を提供します。
 * 
 * @author 杉澤 浩二
 */
public class ImodeDecomail implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * デフォルトコンストラクタです。
	 */
	public ImodeDecomail() {}

	/**
	 * 機種名を保持します。
	 */
	private String name;

	/**
	 * 機種名を返します。
	 * 
	 * @return 機種名
	 */
	public String getName() {
		return name;
	}

	/**
	 * 機種名を設定します。
	 * 
	 * @param name 機種名
	 */
	public void setName(final String name) {
		this.name = StringUtils.defaultIfEmpty(name, null);
	}

	/**
	 * デコメールバージョンを保持します。
	 */
	private Float version;

	public Float getVersion() {
		return version;
	}

	public void setVersion(final Float version) {
		this.version = version;
	}

	/**
	 * テンプレート対応状況を保持します。
	 */
	private boolean template;

	public boolean isTemplate() {
		return template;
	}

	public void setTemplate(final boolean template) {
		this.template = template;
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}

	@Override
	public boolean equals(final Object obj) {
		return EqualsBuilder.reflectionEquals(this, obj);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}

}
